Subject: [v6ops] comments on draft-ietf-v6ops-mobile-device-profile-19

From: "STARK, BARBARA H" <[email-masked]>
Date: Sat, 28 Feb 2015 18:43:46 +0000

I've read through this draft and have some comments. I focused mostly on "must" requirements, because it's always easy to justify not doing a "should". The authors are free to change nothing as a result of my comments. I'm not voicing opposition. I'm simply expressing in more detail why I would not recommend to my employer (or any other service provider) that they use this draft as an RFC reference without very careful thought as to the desirability of each requirement.
Barbara

---------
Note that the term "[3GPP] cellular host" includes a wide variety of devices, including those which are considered "IoT" or "M2M" (such as tracking/locating devices, health monitors, eReaders, automobiles, etc.). Some of these devices are intended (by the service provider who procures them) to be used with a service that does not support roaming to other providers'  networks. Some are single function devices, where the function is fully specified at time of procurement. These devices are generally intended to be as low-complexity and energy-efficient as possible. If a service provider is creating an RFP for such a device, that service provider would be best advised to figure out their IPv6 architecture before sending out an RFP with any of the requirements in this draft. For a service provider to say "I have no clue what my IPv6 architecture is going to be, so I want to require even the simplest and lowest complexity cellular hosts to have support for all possible IPv6 architectures" is not an approach I would recommend. 

But that is exactly what this draft recommends:
   C_REC#1:  In order to allow each operator to select their own
             strategy regarding IPv6 introduction, the cellular host
             must support both IPv6 and IPv4v6 PDP-Contexts [TS.23060].

There are also other requirements which appear to impose complexity on low-end non-roaming/single-purpose cellular hosts in order to allow the service provider maximum flexibility in ultimately deciding on an IPv6 architecture. I'm not enough of a cellular expert to be able to properly identify all of these.

As for cellular hosts that do roam, I think the service provider needs to put some thought into how important it is for such devices to support all IPv6 architectures. I'm not fully convinced that it won't be acceptable to users of low-end cellular hosts that do roam to just do IPv4 on networks with unsupported IPv6 architectures. 

---------

CPE (Customer Premises Equipment): The draft does provide the acronym expansion of CPE, but does not define the term. Given the context in which the draft uses the term, I suspect that the authors are not intending a definition consistent with that at, for example, [1] and [2]. The first of these references includes the sentence "CPE generally refers to devices such as telephones, routers, switches, residential gateways (RG), set-top boxes, fixed mobile convergence products, home networking adapters and Internet access gateways that enable consumers to access communications service providers' services and distribute them around their house via a local area network (LAN)." The second includes the sentence "Today, almost any end-user equipment can be called customer premise [sic] equipment and it can be owned by the customer or by the provider." But the set of CPE that could also reasonably be expected to include a 3GPP interface are, of course, much smaller than this broad definition. One such piece of CPE, though, is a home automation/security gateway that interfaces with various monitoring, automation, and security devices. Such CPE have both an Ethernet WAN interface (that allows them to be behind the CE router) and a 3GPP interface (for backup and perhaps some other management purposes). Since these are "CPE" and "cellular" and they provide LAN connectivity to various home automation devices, they would appear to fall under the requirements of Section 3, and specifically those that apply to "cellular CPE". I would not recommend applying RFC 7084 to such CPE. If "CE router" is intended, instead of all devices that can be classified as "CPE", then I suggest using the term "CE router". 

[1] http://en.wikipedia.org/wiki/Customer-premises_equipment 
[2] http://searchnetworking.techtarget.com/definition/customer-premises-equipment 

--------

Discussion as to which device requirements the authors are really trying to drive seems to be largely focused on smartphones. Given there has been no input from most smartphone OS providers and opposition from people associated with one smartphone OS, IMO this draft will not be a useful mechanism for driving these requirements into smartphone OSs.